Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.interceptor
Interface Context

public interface Context

Interface defining interceptor context.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`Object[]` | `getArguments()` Returns the arguments that will be used in the method targeted by this request.
`InterceptionPoint` | `getInterceptionPoint()` Returns the interception point of the request.
`Method` | `getMethod()` Returns the method targeted by this request
`List` | `getPluginHolders(RequestInfo requestInfo)` Returns a list of plugins that matches the specified RequestInfo
`RequestContext` | `getRequestContext()` Returns current the WLNG RequestContext object
`Set` | `getRequestInfos()` Returns the set of RequestInfo that are available for the request
`Object` | `getTarget()` Returns the target object of the request.
`Class` | `getType()` Returns the type of plugin targeted by this request
`Object` | `invokeNext(Interceptor current)` Invokes the next interceptor if it is available.
`void` | `setPluginHolders(RequestInfo requestInfo, List pluginHolders)` Sets the list of plugins matching the specificed RequestInfo

Method Detail

### getArguments

    public Object[] getArguments()

  Returns the arguments that will be used in the method targeted by this request. Note that the arguments can be modified by accessing the individual element of the returned array.

  Returns:
    the arguments

### getInterceptionPoint

    public InterceptionPoint getInterceptionPoint()

  Returns the interception point of the request.

  Returns:
    The interception point of the request

### getMethod

    public Method getMethod()

  Returns the method targeted by this request

  Returns:
    the method of the request

### getPluginHolders

    public List getPluginHolders(RequestInfo requestInfo)

  Returns a list of plugins that matches the specified RequestInfo

  Parameters:
    `requestInfo` - The RequestInfo object
  Returns:
    a list of plugins matching the RequestInfo object

### getRequestContext

    public RequestContext getRequestContext()

  Returns current the WLNG RequestContext object

  Returns:
    the current WLNG RequestContext object

### getRequestInfos

    public Set getRequestInfos()

  Returns the set of RequestInfo that are available for the request

  Returns:
    a set of RequestInfo

### getTarget

    public Object getTarget()

  Returns the target object of the request. The target is usually used for MO request only.

  Returns:
    The target object of the request

### getType

    public Class getType()

  Returns the type of plugin targeted by this request

  Returns:
    the type of plugin

### invokeNext

    public Object invokeNext(Interceptor current)
                      throws Exception

  Invokes the next interceptor if it is available.

  Parameters:
    `current` - The current interceptor
  Returns:
    The value returned by the next interceptor
  Throws:
    `Exception` - An exception thrown by the interceptor to deny the request

### setPluginHolders

    public void setPluginHolders(RequestInfo requestInfo,
                                 List pluginHolders)

  Sets the list of plugins matching the specificed RequestInfo

  Parameters:
    `requestInfo` - the RequestInfo object
    `pluginHolders` - the list of plugins

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD